DBusTypeReaderClass Struct Reference
marshaling and unmarshaling

Virtual table for a type reader. More...

## Data Fields

const char * | name
| name for debugging
int | id
| index in all_reader_classes
dbus_bool_t | types_only
| only iterates over types, not values
void(* | recurse )(DBusTypeReader *sub, DBusTypeReader *parent)
| recurse with this reader as sub
dbus_bool_t(* | check_finished )(const DBusTypeReader *reader)
| check whether reader is at the end
void(* | next )(DBusTypeReader *reader, int current_type)
| go to the next value

## Detailed Description

Virtual table for a type reader.

Definition at line 125 of file dbus-marshal-recursive.c.

The documentation for this struct was generated from the following file:

- dbus-marshal-recursive.c